#ifndef XAUDIOSEEKTABLE_H
#define XAUDIOSEEKTABLE_H

#include "xasset.h"

#include <QByteArray>

class XAudioSeekTable : public XAsset
{
public:
    XAudioSeekTable();
    ~XAudioSeekTable();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mSize;
    QByteArray mData;
};

#endif // XAUDIOSEEKTABLE_H
